//
//  ViewController.swift
//  Texteingabe
//
//  Created by Holger Hinzberg on 25.07.17.
//  Copyright © 2017 Holger Hinzberg. All rights reserved.
//

import UIKit

class ViewController: UIViewController
{
    // Textfelder für die Eingabe der Daten
    @IBOutlet var vornameTextfeld: UITextField!
    @IBOutlet var nachnameTextfeld: UITextField!
    @IBOutlet var alterTextfeld: UITextField!
    
    // Bezeichnungsfelder für die Ausgabe der Daten
    @IBOutlet var vornameLabel:UILabel!
    @IBOutlet var nachnameLabel:UILabel!
    @IBOutlet var alterLabel:UILabel!
    
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        self.vornameLabel.text = ""
        self.nachnameLabel.text = ""
        self.alterLabel.text = ""
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override var prefersStatusBarHidden: Bool
    {
        return true
    }
    
    @IBAction func loeschenButtonBeruehrt(_ sender: Any)
    {
        // Das Mitteilungsfenster konfigurieren
        let alertController = UIAlertController(title: "Eingaben löschen?",
                                                message: "Bitte bestätigen",
                                                preferredStyle: UIAlertControllerStyle.actionSheet)
        
        // Eine Aktion um die Felder zu leeren
        let loeschenAktion = UIAlertAction(title: "Ja, löschen!", style: UIAlertActionStyle.default)
        {
            action in
            // Die Textfelder leeren
            self.vornameTextfeld.text = ""
            self.nachnameTextfeld.text = "";
            self.alterTextfeld.text = ""
            
            // Die Bezeichnungsfelder leeren
            self.vornameLabel.text = ""
            self.nachnameLabel.text = ""
            self.alterLabel.text = "";
        }
        
        // Eine Aktion die nichts tut
        let abbrechenAktion = UIAlertAction(title: "Abbrechen", style: UIAlertActionStyle.cancel)
        {
            action in
            // Hier soll nichts passieren
        }
        
        // Die Aktionen dem UIAlertController anhängen
        alertController.addAction(loeschenAktion)
        alertController.addAction(abbrechenAktion)
        
        // Das Mitteilungsfenster anzeigen
        self.present(alertController, animated: true)
    }
    
    @IBAction func uebernehmenButtonBeruehrt(_ sender: Any)
    {
        // Eine Objektinstanz erzeugen.
        let person = Person()
        
        // Die Werte zuweisen.
        person.vorname = self.vornameTextfeld.text!
        person.nachname = self.nachnameTextfeld.text!
        
        // Das Alter muss umgewandelt werden.
        if let alter = Int(self.alterTextfeld.text!)
        {
            person.alter = alter
        }

        // Ausgabe der Daten
        self.vornameLabel.text = person.vorname
        self.nachnameLabel.text = person.nachname
        self.alterLabel.text = "\(person.alter)"
    }

    @IBAction func hintergrundBeruehrt(_ sender: Any)
    {
        // Die Tastatur ausblenden
        self.vornameTextfeld.resignFirstResponder()
        self.nachnameTextfeld.resignFirstResponder()
        self.alterTextfeld.resignFirstResponder()
        // self.view.endEditing(true)
    }
    
    @IBAction func vornameDidEnd(_ sender: Any)
    {
        // Das Textfeld für den Namen wird
        // der neue First Responder.
        self.nachnameTextfeld.becomeFirstResponder()
    }
    
    @IBAction func nachnameDidEnd(_ sender: Any)
    {
        // Das Textfeld für das Alter wird
        // der neue First Responder.
        self.alterTextfeld.becomeFirstResponder()
    }
    
    
    
    
    
    
    
    
    
}

